Add forced filter
curl --request POST \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"sids": [
{
"id": "<string>",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters"
payload = {
"id": "<string>",
"sids": [
{
"id": "<string>",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
sids: [{id: '<string>', label: '<string>'}],
sourceId: '<string>',
name: '<string>',
description: '<string>',
restrictions: [
{
sourceId: '<string>',
path: '<string>',
form: '<string>',
value: '<unknown>',
custom: {},
label: '<string>'
}
]
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'sids' => [
[
'id' => '<string>',
'label' => '<string>'
]
],
'sourceId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'restrictions' => [
[
'sourceId' => '<string>',
'path' => '<string>',
'form' => '<string>',
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"sids": [
{
"id": "<string>",
"type": "USER",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}Add forced filter
Add forced filter
curl --request POST \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"sids": [
{
"id": "<string>",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters"
payload = {
"id": "<string>",
"sids": [
{
"id": "<string>",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
sids: [{id: '<string>', label: '<string>'}],
sourceId: '<string>',
name: '<string>',
description: '<string>',
restrictions: [
{
sourceId: '<string>',
path: '<string>',
form: '<string>',
value: '<unknown>',
custom: {},
label: '<string>'
}
]
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'sids' => [
[
'id' => '<string>',
'label' => '<string>'
]
],
'sourceId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'restrictions' => [
[
'sourceId' => '<string>',
'path' => '<string>',
'form' => '<string>',
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/security/filters")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"sids\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"sourceId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"restrictions\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"sids": [
{
"id": "<string>",
"type": "USER",
"label": "<string>"
}
],
"sourceId": "<string>",
"name": "<string>",
"description": "<string>",
"restrictions": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Body
application/vnd.composer.v3+json
Response
201 - application/vnd.composer.v3+json
Created
Forced Filter object that contains additional restrictions that should be applied for querying and updating data
Was this page helpful?